be.ehealth.businessconnector.mycarenet.attestv3.builders

## Interface RequestObjectBuilder

- All Known Implementing Classes:
    RequestObjectBuilderImpl

      public interface RequestObjectBuilder

  Provides method(s) to create an eAttest WS request. Default impl : `ResponseObjectBuilderHelper` Factory : `RequestObjectBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CancelAttestationRequest` | `buildCancelAttestationRequest(CancelAttestationRequestInput cancelAttestationRequestInput)` Create the CancelAttestationRequest that will be sent to the EHealth Web service
    `EncryptedRequestHolder<SendAttestationRequest>` | `buildSendAttestationRequest(SendAttestationRequestInput sendAttestationRequestInput)` Creates the SendAttestationRequest that will be sent to the EHealth Web service

- - ### Method Detail

    - #### buildSendAttestationRequest

          EncryptedRequestHolder<SendAttestationRequest> buildSendAttestationRequest(SendAttestationRequestInput sendAttestationRequestInput)
                                                                              throws TechnicalConnectorException

      Creates the SendAttestationRequest that will be sent to the EHealth Web service
      Parameters:
        `sendAttestationRequestInput` - the object that holds the request input parameters
      Returns:
        a wrapper containing the valid request that will be sent to the WS and the businessContent before encryption
      Throws:
        `TechnicalConnectorException`

    - #### buildCancelAttestationRequest

          CancelAttestationRequest buildCancelAttestationRequest(CancelAttestationRequestInput cancelAttestationRequestInput)
                                                          throws TechnicalConnectorException

      Create the CancelAttestationRequest that will be sent to the EHealth Web service
      Parameters:
        `cancelAttestationRequestInput` - the object that holds the request input parameters
      Returns:
        a wrapper containing the valid request that will be sent to the WS
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSLOGOPEDIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.